Skip to main content
POST
/
ai-agents
/
agent-builder
/
knowledge-base
/
website
/
{parentUniqueId}
/
discovered-urls
/
process
Process Discovered URLs
curl --request POST \
  --url https://{appid}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/knowledge-base/website/{parentUniqueId}/discovered-urls/process \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "exclude": [
    "550e8400-e29b-41d4-a716-446655440001",
    "550e8400-e29b-41d4-a716-446655440002"
  ]
}
'
{
  "success": true,
  "message": "Batch processing initiated successfully",
  "data": {
    "batchId": "batch-1701789123456",
    "urlsProcessed": 2,
    "totalUrls": 2,
    "webhookUrl": "https://webhook.site/b4994000-62d9-4e17-928f-790282cb5815",
    "status": "processing"
  }
}

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Path Parameters

parentUniqueId
string
required

Body

application/json

Discovered URLs processing configuration. App ID is taken from header, not body.

exclude
string[]
required

Array of unique IDs to exclude from crawling

Example:
[
"550e8400-e29b-41d4-a716-446655440001",
"550e8400-e29b-41d4-a716-446655440002"
]

Response

Batch processing initiated successfully

success
boolean
Example:

true

message
string
Example:

"Batch processing initiated successfully"

data
object